def make_header(program_name, plugin_name)
  # The header that we output before the list of domains/users.
  # Just the path of this script, the current time, and the plugin name.
  header = "#{program_name}, "

  current_time = Time.now()
  if current_time.respond_to?(:iso8601)
    # Somehow this method is missing on some machines.
    header += current_time.iso8601.to_s
  else
    # Fall back to whatever this looks like.
    header += current_time.to_s
  end

  header += ' (Plugin: ' + plugin_name + ")\n"
  header += '-' * header.size # Underline the header.

  return header
end
